services:
    _defaults:
        autowire: false
        autoconfigure: false
        public: true #because lazy

    Claroline\AppBundle\Manager\PlatformManager:
        arguments:
            - '@request_stack'
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'

    Claroline\AppBundle\Manager\SecurityManager:
        arguments:
            - '@security.token_storage'

    Claroline\AppBundle\Manager\CommandManager:
        arguments:
            - '@kernel'

    Claroline\AppBundle\Manager\CacheManager:
        arguments:
            - '@Claroline\AppBundle\Event\StrictDispatcher'
            - '@kernel'

    Claroline\AppBundle\Manager\File\ArchiveManager:
        arguments:
            - '@Claroline\AppBundle\Manager\File\TempFileManager'

    Claroline\AppBundle\Manager\File\TempFileManager:
        arguments:
            - '%claroline.tmp_dir%'
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'

    Claroline\AppBundle\Manager\TermsOfServiceManager:
        arguments:
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'
            - '@Claroline\CoreBundle\Manager\ContentManager'

    Claroline\AppBundle\Manager\PdfManager:
        arguments:
            - '@twig'
            - '@Claroline\AppBundle\Manager\File\TempFileManager'
            - '@Claroline\AppBundle\Manager\PlatformManager'
